fop 2.3

## org.apache.fop.fonts
Class FontCacheManagerFactory

    java.lang.Object
      org.apache.fop.fonts.FontCacheManagerFactory

    public final class FontCacheManagerFactory

extends java.lang.Object

A factory that provides the font caching manager mechanism.

Method Summary
`static FontCacheManager` `createDefault()` Create the default font caching mechanism.
`static FontCacheManager` `createDisabled()` Create a disabled font caching mechanism which by definition does nothing to cache fonts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createDefault

    public static FontCacheManager createDefault()

  Create the default font caching mechanism.

  Returns:
    the font cache manager

### createDisabled

    public static FontCacheManager createDisabled()

  Create a disabled font caching mechanism which by definition does nothing to cache fonts.

  Returns:
    a completely restricted font cache manager

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.